Subject: RE: [Sip] Query: Adopt draft-willis-sip-path-xx as WG doc?

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Mon, 25 Feb 2002 10:23:10 -0000

1)	YES
2)	YES
3)	YES

This of course does not prevent me commenting against a few issues I see as
needing resolution which you will see in separate messages.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

> ----------
> From: 	Dean Willis[SMTP:[email-masked]]
> Sent: 	15 February 2002 20:07
> To: 	[email-masked]
> Cc: 	[email-masked]; [email-masked]; [email-masked]
> Subject: 	[Sip] Query: Adopt draft-willis-sip-path-xx as WG doc?
> 
> The document draft-willis-sip-path-01.txt introduces the Path extension
> header suggested by 3GPP in the Garcia 3GPP requirements draft in SIPPING.
> 
>  
> The basic requirements being met are to 1) allow a UA to REGISTER a
> contact which requires traversing a sequence of proxies on future messages
> between the registrar and the UA, with that sequence dynamically
> discovered during the REGISTER, and 2) allow a UA to discover from a
> REGISTER response a sequence of proxies between it and a known proxy
> offering outbound services for that UA.
>  
>  
> The approach taken in the draft generalizes the 3GPP requirements by
> allowing the sequences to be asymetric-- for example, the inbound and
> outbound sequences might traverse different proxies, or there might only
> be a sequence in one direction (A firewall proxy sits between UA and its
> registrar, but UA does not use the registrar for outbound services).
>  
> I'd like to poll for three things:
>  
> 1) Do we want to address the requirements raised by 3GPP?
>  
> 2) Do we have a general consensus on something like the PATH header as an
> appopriate mechanism?
>  
> 3) Is draft-willis-sip-path-01.txt a reasonable baseline document?
>  
> If we have consensus on all three accounts, I propose to accept
> draft-willis-sip-path-01.txt as a working group document, and pursue
> future revisions as draft-ietf-sip.xx.
>  
> If not, then please make a counterproposal.
>  
> Opinions, please.
>  
> --
> Dean
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Mon, 25 Feb 2002 12:53:33 +0200

i don't quite understand how people can say that the working group
should introduce a new protocol mechanism (path header) although there
has been no technical evidence that the existing mechanism are not
enough for the user to accomplish the same thing as the with path
header.

there was an email exchange about this a few days ago, but i didn't get
any response to my email where i described how the same thing can be
done without any new message headers.

this path header business started BEFORE we had LOOSE source routing in
the bis.  without loose source routing we would have needed something
like path header, but not anymore when loose source routing.  therefore
there is no more any justification for the path header as a working
group item.

-- juha